低危 adns 缓冲区错误漏洞

CVE编号

CVE-2017-9109

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-06-19 03:15:00
漏洞描述
在1.5.2之前的adns中发现了一个问题。它没有忽略第一次发现的第一个RR之前的明显答案。当这个问题被修复时,第二个应答扫描在第一个应答扫描中找到相同的rr。否则,ADN可能会因为将CNAME目标的答案与CNAME本身交错而混淆。在这种情况下,应答数据结构(在堆上)可能会溢出。在这个问题得到解决后,它更倾向于只查看CNAME后面的rr答案,这至少可以说是正确的。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu adns * Up to
(excluding)
1.5.2
2
运行在以下环境
系统 debian_9 adns * Up to
(excluding)
1.5.0~rc1-1
3
运行在以下环境
系统 debian_10 adns * Up to
(excluding)
1.5.0~rc1-1.1
4
运行在以下环境
系统 suse_12_SP4 adns * Up to
(excluding)
1.4-103.3.1
5
运行在以下环境
系统 suse_12_SP5 adns * Up to
(excluding)
1.4-103.3.1
6
运行在以下环境
系统 opensuse_Leap_15.1 adns * Up to
(excluding)
1.5.1-lp151.3.3.1
7
运行在以下环境
系统 fedora_32 adns * Up to
(excluding)
1.6.0-1.fc32
8
运行在以下环境
系统 fedora_31 adns * Up to
(excluding)
1.6.0-1.fc31
9
运行在以下环境
系统 suse_12_SP4 adns * Up to
(excluding)
1.4-103.3.1
10
运行在以下环境
系统 suse_12_SP5 adns * Up to
(excluding)
1.4-103.3.1
11
运行在以下环境
系统 opensuse_Leap_15.1 adns * Up to
(excluding)
1.5.1-lp151.3.3.1
12
运行在以下环境
系统 suse_12_SP4 adns * Up to
(excluding)
1.4-103.3.1
13
运行在以下环境
系统 suse_12_SP5 adns * Up to
(excluding)
1.4-103.3.1
14
运行在以下环境
系统 opensuse_Leap_15.1 adns * Up to
(excluding)
1.5.1-lp151.3.3.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况